/* ===========================
   The Perks of Becoming
=========================== */

.the-perks-of-becoming-section-outer {
    padding: 70px 0;
}

.the-perks-of-becoming-section-inner {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 50px;
    text-align: left;
}

.info-the-perks-section h1 {
    font-size: 30px;
    color: #131e29;
    line-height: 1.2;
    margin: 20px 0;
}

.info-the-perks-section p {
    font-size: 14px;
    color: #131e29;
    line-height: 1.6;
    margin-bottom: 34px;
}

.perks-of-becoming-image {
    width: 50%;
}

.perks-of-becoming-btn {
    display: inline-block;
    padding: 15px 35px;
    background: #0083c1;
    color: #fff;
    border: 1px solid #0083c1;
    border-radius: 4px;
    font-size: 16px;
    font-weight: 700;
    text-decoration: none;
    transition: .3s ease;
}

.perks-of-becoming-btn:hover {
    background: transparent;
    color: #0083c1;
}


/* ===========================
   Perks Icons Section
=========================== */

.perks-section-container-outer {
    padding: 70px 0;
}

.perks-section-container-inner {
    display: flex;
    justify-content: center;
    gap: 60px;
}

.perks-section-image-text {
    text-align: center;
}

.perks-section-image {
    border-radius: 50%;
    margin-bottom: 20px;
}

.perks-section-text-p {
    font-size: 14px;
    line-height: 24px;
    color: #212529;
    margin: 0;
}

img.perks-section-image {
    border-radius: 50%;
}

/* ===========================
   Save / Easy Account / Subscription Sections
=========================== */

.save-ten-percent-section-outer {
    padding: 70px 0;
}

.save-ten-percent-section-inner,
.easy-account-management-section-inner {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 50px;
    text-align: left;
}

.save-ten-percent-section-info-container h1 {
    font-size: 30px;
    color: #131e29;
    line-height: 1.2;
    margin: 20px 0;
}

.save-ten-percent-section-info-container p {
    font-size: 14px;
    color: #131e29;
    line-height: 1.6;
    margin-bottom: 34px;
}

.save-ten-percent-section-outer .perks-of-becoming-image {
    width: 50%;
}


/* ===========================
   Responsive
=========================== */

@media (max-width: 1024px) {

    .the-perks-of-becoming-section-outer,
    .perks-section-container-outer,
    .save-ten-percent-section-outer {
        padding: 50px 0;
    }

    .the-perks-of-becoming-section-inner,
    .save-ten-percent-section-inner,
    .easy-account-management-section-inner {
        gap: 30px;
    }

    .perks-section-container-inner {
        gap: 30px;
    }
}

@media (max-width: 768px) {

    .the-perks-of-becoming-section-inner,
    .save-ten-percent-section-inner,
    .easy-account-management-section-inner {
        flex-direction: column;
        text-align: center;
    }

    .easy-account-management-section-inner {
        flex-direction: column-reverse;
    }

    .perks-of-becoming-image {
        width: 100%;
    }

    .save-ten-percent-section-outer .perks-of-becoming-image {
        width: 100%;
    }

    .perks-section-container-inner {
        flex-direction: column;
        align-items: center;
    }

    .info-the-perks-section h1,
    .save-ten-percent-section-info-container h1 {
        font-size: 24px;
    }
}

.hp-featured-category .category_single span:not(.img_cat) {  }

/* cart drawer css */
.pk-el-cart header h3 { font-size: 20px !important;  padding: 0px 0px !important; background: unset !important; color: #2a2c2f !important; }
.pk-el-cart header { margin-bottom: 20px !important; }
.pk-el-cart .pk-aside-tabs .shopping_cart .product-description .ellipsis { font-size: 16px;  }
.shopping_cart .product-description  span { font-size: 14px !important; }
.shopping_cart .product-description  span.price { color: #0083c1 !important; }
.pk-el-cart .pk-aside-tabs .shopping_cart .product-description .product-price-and-shipping { justify-content: flex-start;margin-bottom: 10px;position: relative !important;gap: 6px; }
.pk-el-cart .pk-aside-tabs .shopping_cart .product-description .product-price-and-shipping .discount-percentage { position: absolute; bottom: -32px;background: #ff5555; color: #fff; padding: 3px; font-style: normal; }
.pk-el-cart .pk-aside-tabs .shopping_cart .product-description .product-price-and-shipping .price, 
.pk-el-cart .pk-aside-tabs .shopping_cart .product-description .product-price-and-shipping span { font-size: 14px !important; margin: unset; font-weight: 400;padding: 0px 0px; background: unset;color: #888888; }
.pk-el-cart .pk-aside-tabs .shopping_cart .product-description .product-title { margin-bottom: 5px; }
.pk-el-cart .pk-aside-tabs .shopping_cart .product-description .product-title > a { font-family: 'poppins'; }
.pk-el-cart .pk-aside-tabs .shopping_cart .mini-product .thumbnail { margin: 0 10px 0 0; }
.pk-el-cart { padding: 20px 15px 0px !important; background: #fff !important; width: 375px !important; }
.pk-el-cart .pk-aside-tabs .shopping_cart .mini-product { padding: 5px 10px; }
.pk-el-cart .pk-aside-tabs .shopping_cart .thumbnail img { aspect-ratio: unset  !important; }
.pk-el-cart #desktop_cart .header .db.payment-methods-img { width: 100%; margin-top: 20px;display: none; }
.pk-el-cart #desktop_cart .cart-total { margin: 20px 0px 15px;justify-content: flex-end !important;flex-grow: unset !important; }
.pk-el-cart #desktop_cart .cart-total .cart-total-value { margin: 0px 0px; padding: 10px 0px 0px !important;font-size: 18px; }
.pk-el-cart #desktop_cart .cart-total .flex-container { margin: 0px 0px; padding-bottom: 10px;  }
.pk-el-cart #desktop_cart .cart-button { margin-bottom: 0px;display: flex; align-items: center;gap: 10px; }
.pk-el-cart #desktop_cart .cart-button .btn {  font-size: 14px; font-weight: 600; margin: 0px; border: 1px solid #333333; }
.pk-el-cart #desktop_cart .cart-button .btn.reverse-btn { margin: 0px; border: 1px solid #0083c1;background: #0083c1; }
.pk-el-cart #desktop_cart .cart-button .btn.reverse-btn:hover { border: 1px solid #0083c1;color: #fff; }
.pk-el-cart #desktop_cart .cart-button .btn:hover { border: 1px solid #333333; }
.pk-el-cart .pk-aside-tabs .shopping_cart .remove-from-cart svg { display: none; }
.pk-el-cart .pk-aside-tabs .shopping_cart .remove-from-cart { position: relative; float: right; top: -50px; right: 2px; }
.pk-el-cart .pk-aside-tabs .shopping_cart .remove-from-cart:after { position: absolute; content: '\1F5D1'; font-family: 'FontAwesome'; content: '\f014'; top: 0; right: 0; color: #333; font-size: 19px; }
.pk-el-cart .close-sidebar svg { width: 15px !important; height: 15px !important; top: 27px !important; right: 16px !important; color: #000000 !important; }
.shopping_cart { display: flex !important ; flex-direction: column !important; height: 100% !important; }
.shopping_cart .cart-drawer-btn { flex-grow: unset !important; }
.shopping_cart .indent { height: auto !important; position: relative; flex: 1 1 auto; overflow-x: hidden; }
.shopping_cart .indent::-webkit-scrollbar { width: 5px; }
.shopping_cart .indent::-webkit-scrollbar-track { background: #f1f1f1;border-radius: 10px; }
.shopping_cart .indent::-webkit-scrollbar-thumb { background: #888;border-radius: 10px; }
.pk-aside .close-sidebar { top: 26px !important; }

@media (max-width: 1024px) {
    .pk-aside .close-sidebar { top: 23px !important; }
}

@media (max-width: 767px) {
    .pk-el-cart { background: #fff;width: 350px; }
    .pk-el-cart h3 { font-size: 20px !important;  background: unset !important; color: #333 !important; padding: 0px 0px !important; }
    .pk-el-cart .close-sidebar { color: #333; width: 22px; height: 22px; }
    .pk-el-cart .close-sidebar svg { width: 14px; height: 14px; }
}

.product-miniature .product-flags li { width: max-content; height: 52px; display: flex ; align-items: center; justify-content: center; border-radius: 30px; background: #f55;padding: 0px 5px !important;font-size: 14px; }

/* Add to cart loading state */
.btn-is-loading { position: relative !important; color: transparent !important; pointer-events: none !important; opacity: 0.9; }
.btn-is-loading::after { content: ""; position: absolute; width: 24px; height: 24px; top: calc(50% - 12px); left: calc(50% - 12px); border: 3px solid rgba(128,128,128,0.3); border-top-color: #222; border-bottom-color: #fff; border-radius: 50%; animation: rotation 1s linear infinite; z-index: 10; }
/* Ensure svg icon is also hidden when loading */
.btn-is-loading svg { opacity: 0 !important; }
.pk-fixed-button { width: 50px; height: 50px; }
.pk-fixed-button svg { width: 45%; fill: #0083c1; }
.pk-cart-button svg { color: #0083c1; } 


/* 21 july */
/* forgot password */
.content-wrapper h1 { letter-spacing: unset; margin-bottom: 0px; }
.content-wrapper button.form-control-submit.btn {  font-size: 14px; font-weight: 600; margin-bottom: 10px; border: 1px solid #0083c1; background: #0083c1; letter-spacing: unset; }
.content-wrapper button.form-control-submit.btn:hover { color: #fff; }

/* prefre page */
#cms #content-wrapper header.page-header h1 { margin: 10px 0 45px; text-align: center; font-weight: 700; font-size: 28px; letter-spacing: unset; }
#cms .the-perks-of-becoming-section-inner h1 { font-size: 30px; line-height: 40px; margin-block: 20px; color: #131e29; line-height: 1.2 !important; letter-spacing: unset;  }
#cms .the-perks-of-becoming-section-inner p { font-size: 16px !important; margin-top: 0px; }
#cms .the-perks-of-becoming-section-inner a.perks-of-becoming-btn {  }
.cart-counter { background-color: #ff5555; }

/* July 27 */
.shopping_cart .mini-cart-cross-sells { margin: 30px 0 0px; padding: 0px 0px; border-radius: 8px; }
.shopping_cart .mini-cross-sell-title { text-align: left; font-size: 18px; font-weight: 600; margin-bottom: 15px; color: #333; margin: 0px 0px 20px; line-height: 1; }
.shopping_cart .mini-cross-sell-slider { display: flex; overflow-x: hidden; scroll-snap-type: x mandatory; gap: 10px; padding-bottom: 5px; -webkit-overflow-scrolling: touch;cursor: pointer; }
.shopping_cart .mini-cross-sell-slider::-webkit-scrollbar { height: 6px; }
.shopping_cart .mini-cross-sell-slider::-webkit-scrollbar-thumb { background-color: #ccc; border-radius: 10px; }
.shopping_cart .mini-cross-sell-item { flex: 0 0 85%; display: flex ; align-items: center; background: #fff; padding: 10px; scroll-snap-align: center; box-shadow: 0 2px 4px rgba(0, 0, 0, 0.05); border: 1px solid #ccc;border-radius: 0px; }
.shopping_cart .mini-item-img { width: 60px; height: auto; border-radius: 4px; margin-right: 15px; }
.shopping_cart .mini-item-details { display: flex; flex-direction: column; width: 100%; }
.shopping_cart .mini-item-link { display: inline-block; margin-right: 15px; }
.shopping_cart .mini-item-name { font-size: 13px; color: #333; text-decoration: none; font-weight: 600; margin-bottom: 5px; line-height: 1.2; }
.shopping_cart .mini-cart-cross-sells .mini-cross-sell-carousel-wrapper { display: flex; align-items: center; }
.shopping_cart .mini-cart-cross-sells .mini-cross-sell-carousel-wrapper .mini-arrow { font-size: 14px; color: #333;cursor: pointer;flex: 0 0 20px; }
.shopping_cart .mini-cart-cross-sells .mini-cross-sell-carousel-wrapper .mini-arrow.next-arrow { text-align: right; }
/* Price and Discount Styles */
.shopping_cart .mini-item-price-wrap { margin-bottom: 8px; display: flex; flex-wrap: wrap; align-items: center; gap: 5px; }
.shopping_cart .mini-item-price { font-size: 14px; font-weight: 600; color: #333; }
.shopping_cart .mini-item-price.has-discount { color: #0083c1; font-size: 12px;line-height: 1; }
.shopping_cart .mini-regular-price { text-decoration: line-through; color: #888888; font-size: 12px;line-height: 1; }
.shopping_cart .mini-discount-badge { background-color: #f55; color: white; font-size: 10px; padding: 2px 4px; line-height: 1;border-radius: 0px; }
/* Button Styles */
.shopping_cart .mini-item-actions form { margin: 0; }
.shopping_cart .mini-btn-add-to-cart { background-color: #0083c1; color: #fff; border: 1px solid #0083c1; padding: 5px 10px; border-radius: 4px; font-size: 12px; cursor: pointer; text-transform: uppercase; font-weight: 600; transition: background-color 0.3s; width: max-content;font-family: 'Inter'; }
.shopping_cart .mini-btn-add-to-cart:hover { background-color: #fff;border: 1px solid #0083c1;color: #0083c1; }
.shopping_cart .mini-btn-add-to-cart.disabled { background-color: #ccc; cursor: not-allowed; }

.discount-percentage, .discount-product,
#checkout #opc_main .opc-customer-dropdown__action { font-family: 'Inter' !important; }
.content-cms-wrapper .elementor-container.elementor-column-gap-default { width: 100% !important; }
#main .js-cart-line-product-quantity { z-index: 1;font-size: 18px;font-family: 'Inter'; }
.pk-mobile-bottom-panel button { font-size: 14px; }
#blockcart-modal .cart-actions a, 
#blockcart-modal .cart-actions button { font-weight: 400; }
.breadcrumb {
    & ol {
        li {
            font-size: 16px;
        }
    }
}
.top-content .breadcrumb { position: relative; padding: 20px 0px; margin-block: -20px 30px; }
.top-content .breadcrumb:before { content: ''; position: absolute; top: 0; left: 50%; right: auto; bottom: 0; z-index: -1; margin-left: -50vw; width: 99.39vw; background: #f2f2f4 url(../img/bg-beagrumb.jpg) center top no-repeat; background-size: cover; background-position: center left; }

/* July 28 2026 */
@media (max-width: 1024px){
    body .elementor-section.elementor-section-boxed > .elementor-container { width: 100%; }
    #main-content .page-width { width: 100%; }
    .breadcrumb ol { padding: 0 15px; }
    #main-content .page-width #wrapper { padding: 0 15px; }
}

/* Aug 21 */
#blockcart-modal .product-card,
#blockcart-modal .cart-content { width: 50%; }

@media (max-width: 768px) {
    #blockcart-modal .product-card,
    #blockcart-modal .cart-content { width: 100%; }
}